Package com.independentsoft.office.odf

# Class RubyText

java.lang.Object
com.independentsoft.office.odf.RubyText

public class RubyText extends Object
Contains an annotation text. It may contain only plain text.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RubyText()`
  Initializes a new instance of the RubyText class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RubyText`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getStyle()`
  Gets the style for ruby which shall be a style with family of text.
  `String`
  `getText()`
  Gets an annotation text.
  `void`
  `setStyle​(String style)`
  Sets the style for ruby which shall be a style with family of text.
  `void`
  `setText​(String text)`
  Sets an annotation text.
  `String`
  `toString()`
  Converts the value of the current RubyText object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RubyText

    public RubyText()
    Initializes a new instance of the RubyText class.

- ## Method Details

  - ### clone

    public RubyText clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current RubyText object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getStyle

    public String getStyle()
    Gets the style for ruby which shall be a style with family of text.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the style for ruby which shall be a style with family of text.
    Parameters:
      `style` - the new style

  - ### getText

    public String getText()
    Gets an annotation text.
    Returns:
      the text

  - ### setText

    public void setText​(String text)
    Sets an annotation text.
    Parameters:
      `text` - the new text